#
# spec file for package ghc-tasty-hunit
#
# Copyright (c) 2020 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%global pkg_name tasty-hunit
Name:           ghc-%{pkg_name}
Version:        0.10.0.3
Release:        bp155.2.14
Summary:        HUnit support for the Tasty test framework
License:        MIT
URL:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-call-stack-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-tasty-devel
ExcludeArch:    %{ix86}

%description
HUnit support for the Tasty test framework.

Note that this package does not depend on HUnit but implements the relevant
subset of its API. The name is a legacy of the early versions of tasty-hunit
and of test-framework-hunit, which did depend on HUnit.

%package devel
Summary:        Haskell %{pkg_name} library development files
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development files.

%prep
%autosetup -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%license LICENSE

%files devel -f %{name}-devel.files
%doc CHANGELOG.md

%changelog
* Fri Dec 18 2020 psimons@suse.com
- Update tasty-hunit to version 0.10.0.3.
  Version 0.10.0.3
  - ---------------
  The only point of this release is to introduce compatibility with GHCs back to 7.0
  (see https://github.com/feuerbach/tasty/pull/287).
  Note, however, that these changes are not merged to the master branch, and the
  future releases will only support the GHC/base versions from the last 5 years,
  as per our usual policy. To test with even older GHCs, you'll have to use this
  particular version of tasty-hunit (or have the constraint solver pick it for you
  when testing with older GHCs).
  The source of this release is in the `support-old-ghcs` branch of the tasty
  repository.
* Thu Dec 17 2020 Ondřej Súkup <mimi.vx@gmail.com>
- disable %%{ix86} build
* Tue Aug 18 2020 Peter Simons <psimons@suse.com>
- Replace %%setup -q with the more modern %%autosetup macro.
* Tue Jun  9 2020 psimons@suse.com
- Add tasty-hunit at version 0.10.0.2.
